Bug 1142445 - Review Request: cyreal-wireone-fonts - Wire One font by Alexei Vanyashin and Gayaneh Bagdasaryan
Summary: Review Request: cyreal-wireone-fonts - Wire One font by Alexei Vanyashin and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-09-16 19:14 UTC by Julien Enselme
Modified: 2014-10-05 08:12 UTC (History)
5 users (show)

Fixed In Version: cyreal-wireone-fonts-1.000-0.2.20140916hg.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:58:22 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-09-16 19:14:14 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/wireone-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/wireone-fonts-1.000-0.1.20140916hg.fc20.src.rpm
Description:
Wire is a condensed monoline sans. Its modular-based characters are flavored
with a sense of art nouveau. Nearly hairline thickness suggests usage for body
text above 12px. While at display sizes it reveals its tiny dot terminals to
create a sharp mood in headlines.

For web typesetting it is recommended to adjust letter-spacing for sizes below
30px to 0.033em and up. For 12 px we recommend the value of 0.085em. Designed by
Alexei Vanyashin, Gayaneh Bagdasaryan.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-17 05:50:09 UTC
Review:

+ Package builds fine in mock in F22

+ rpmlint on generated rpms gave output
wireone-fonts.noarch: W: spelling-error %description -l en_US monoline -> mono line, mono-line, monolingual
wireone-fonts.noarch: W: spelling-error %description -l en_US nouveau -> Noumea
wireone-fonts.noarch: W: spelling-error %description -l en_US px -> PX, ox, p
wireone-fonts.src: W: spelling-error %description -l en_US monoline -> mono line, mono-line, monolingual
wireone-fonts.src: W: spelling-error %description -l en_US nouveau -> Noumea
wireone-fonts.src: W: spelling-error %description -l en_US px -> PX, ox, p
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


+ source verified with upstream as (sha256sum)
packaged source: 1cf739c8fc17663059c2544be19cf590404e17fc9ec1778a080e13de5282e9fc
upstream source: 1cf739c8fc17663059c2544be19cf590404e17fc9ec1778a080e13de5282e9fc

+ License is OFL and included in its own text file OFL.txt

+ fontconfig file looks good

+ follows fonts packaging guidelines.

Suggestions:
1) cp command should be used with option '-p'

2) I think here you can use cyreal foundry as can be seen in output
ttname WireOne.ttf  | grep "#8"

APPROVED.

Comment 3 Julien Enselme 2014-09-17 12:29:09 UTC
New Package SCM Request
=======================
Package Name: cyreal-wireone-fonts
Short Description: Wire One font by Alexei Vanyashin and Gayaneh Bagdasaryan
Upstream URL: http://www.cyreal.org/2012/07/wire/
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 4 Gwyn Ciesla 2014-09-17 13:14:38 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-17 14:19:21 UTC
cyreal-wireone-fonts-1.000-0.1.20140916hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cyreal-wireone-fonts-1.000-0.1.20140916hg.fc21

Comment 6 Fedora Update System 2014-09-17 14:19:26 UTC
cyreal-wireone-fonts-1.000-0.1.20140916hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cyreal-wireone-fonts-1.000-0.1.20140916hg.fc20

Comment 7 Fedora Update System 2014-09-18 16:12:58 UTC
cyreal-wireone-fonts-1.000-0.1.20140916hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2014-09-23 04:58:22 UTC
cyreal-wireone-fonts-1.000-0.1.20140916hg.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2014-10-05 08:12:41 UTC
cyreal-wireone-fonts-1.000-0.2.20140916hg.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.